package sprzedaz.obiektowo;

import java.util.List;

public class P2_SumaJednegoMiasta_v1 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        System.out.println("Udało się wczytać " + transakcje.size() + " rekordów");

        double suma = 0;
        for(Transakcja transakcja : transakcje) {
            if("Katowice".equals(transakcja.getMiasto())) {
                suma += transakcja.getSztuk() * transakcja.getCena().doubleValue();
            }
        }
        System.out.println("Suma z wybranego miasta: " + suma);
    }

}
